#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Bit
%define		pnam	ShiftReg
Summary:	Bit::ShiftReg - bit shift registers with rotate / shift operations
Summary(pl.UTF-8):	Bit::ShiftReg - rejestry bitowego przesuwania z rotacją / przesunięciem
Name:		perl-Bit-ShiftReg
Version:	2.0
Release:	26
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d8afa46eb43b252ae019c3193635d1e2
URL:		http://search.cpan.org/dist/Bit-ShiftReg/
Patch0:		build.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bit::ShiftReg Perl module implements rotate left, rotate right, shift
left and shift right operations with carry flag for all C integer
types.

The results depend on the number of bits that the integer types
unsigned char, unsigned short, unsigned int and unsigned long have on
your machine.

%description -l pl.UTF-8
Moduł Perla Bit::ShiftReg zawiera implementację operacji: rotacji w
lewo, rotacji w prawo, przesunięcia w lewo i przesunięcia w prawo ze
znacznikiem przeniesienia dla wszystkich typów całkowitych w C.

Wynik zależy od ilości bitów, jaką mają typy: unsigned char, unsigned
short, unsigned int i unsigned long na danej architekturze.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Bit/ShiftReg.pm
%dir %{perl_vendorarch}/auto/Bit/ShiftReg
%attr(755,root,root) %{perl_vendorarch}/auto/Bit/ShiftReg/ShiftReg.so
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Bit-ShiftReg.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 8a7e37a
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 355940e
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 92b2d70
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 62d40d0
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d583952
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7549f6b
- rebuild with perl 5.30.0
- release 22 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> b34ee53
- rebuild with perl 5.28.0
- release 21 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 57da92f
- perl req/prov fix
- release 20 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2dd88fe
- rebuild with perl 5.26
- release 19 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f8f9319
- rebuild with perl 5.24.0
- release 18 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a03d12d
- release 17 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b6d8a60
- x32 rebuild
- release 16 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 124cccb
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 6483e92
- release 15 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d0dcc95
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4850261
- rebuild for perl 5.20
- release 14 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 0a37809
- don't use reserved words as enum names
- rel 13

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4b23d85
- rebuild with perl 5.18.0
- release 12 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cdd44b3
- release 11

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fd79d5
- rel 10

